## Ignition Utils 1.x

## Ignition Utils 1.2.0 (2022-01-28)

1. Enable cpplint on focal 
    * [Pull request #32](https://github.com/ignitionrobotics/ign-utils/pull/32)

1. Add NeverDestroyed utility class
    * [Pull request #31](https://github.com/ignitionrobotics/ign-utils/pull/31)

1. Move environment functionality to utils 
    * [Pull request #30](https://github.com/ignitionrobotics/ign-utils/pull/30)
     
1. ImplPtr Get method 
    * [Pull request #27](https://github.com/ignitionrobotics/ign-utils/pull/27)

## Ignition Utils 1.1.0 (2021-09-02)

1. More complete bazel implementation
    * [Pull request #21](https://github.com/ignitionrobotics/ign-utils/pull/21)

1. Add IGN_UTILS_VENDOR_CLI11 CMake option to optionally use external CLI11
    * [Pull request #19](https://github.com/ignitionrobotics/ign-utils/pull/19)

1. Add an example program using CLI11
    * [Pull request #23](https://github.com/ignitionrobotics/ign-utils/pull/23)

## Ignition Utils 1.0.0 (2021-03-30)

1. Add basic support for bazel build system.
    * [Pull request #14](https://github.com/ignitionrobotics/ign-utils/pull/14)

1. Ignition ImplPtr
    * [Pull request 1](https://github.com/ignitionrobotics/ign-utils/pull/1)
    * [Pull request 4](https://github.com/ignitionrobotics/ign-utils/pull/4)

1. Vendor CLI11 library inside ignition-utils
    * [Pull request 2](https://github.com/ignitionrobotics/ign-utils/pull/2)

1. Update warning suppression macros
    * [Pull request 5](https://github.com/ignitionrobotics/ign-utils/pull/5)
    * [Pull request 10](https://github.com/ignitionrobotics/ign-utils/pull/10)
    * [Pull request 11](https://github.com/ignitionrobotics/ign-utils/pull/11)

1. Pre-release cleanup
    * [Pull request #16](https://github.com/ignitionrobotics/ign-utils/pull/16)
    * [Pull request #15](https://github.com/ignitionrobotics/ign-utils/pull/15)

